kind: Build
apiVersion: build.openshift.io/v1
metadata:
  annotations:
    openshift.io/build-config.name: eap-s2i
    openshift.io/build.number: '1'
    openshift.io/build.pod-name: eap-s2i-1-build
  resourceVersion: '7133089'
  name: eap-s2i-1
  uid: fda38bc3-b22c-4249-9fa3-08f1c5a87216
  creationTimestamp: '2021-04-30T08:43:02Z'
  generation: 2
  namespace: vsalbaba
  ownerReferences:
    - apiVersion: build.openshift.io/v1
      kind: BuildConfig
      name: eap-s2i
      uid: c6421116-a741-40e7-be6b-49adedd8ee10
      controller: true
  labels:
    buildconfig: eap-s2i
    openshift.io/build-config.name: eap-s2i
    openshift.io/build.start-policy: Serial
spec:
  serviceAccount: builder
  source:
    type: Binary
    binary: {}
    images:
      - from:
          kind: DockerImage
          name: >-
            image-registry.openshift-image-registry.svc:5000/vsalbaba/eap-s2i-src@sha256:68fc614b537ad61638f82c23a77548f80eb60f57f705d48bcd84142430068ae7
        paths:
          - sourcePath: /tmp/artifacts/m2/.
            destinationDir: .m2
  strategy:
    type: Source
    sourceStrategy:
      from:
        kind: DockerImage
        name: >-
          docker-registry.upshift.redhat.com/kwills/eap74-openjdk11-openshift-rhel8:CLOUD-3930
      env:
        - name: MAVEN_ARGS_APPEND
          value: '-o'
        - name: MAVEN_LOCAL_REPO
          value: /tmp/src/.m2
      incremental: false
      forcePull: true
  output:
    to:
      kind: ImageStreamTag
      name: 'eap-s2i:latest'
    pushSecret:
      name: builder-dockercfg-fgch7
  resources: {}
  postCommit: {}
  nodeSelector: null
status:
  output: {}
  config:
    kind: BuildConfig
    namespace: vsalbaba
    name: eap-s2i
  reason: FetchImageContentFailed
  message: Failed to extract image content.
  outputDockerImageReference: 'image-registry.openshift-image-registry.svc:5000/vsalbaba/eap-s2i:latest'
  duration: 56000000000
  startTimestamp: '2021-04-30T08:43:02Z'
  conditions:
    - type: New
      status: 'False'
      lastUpdateTime: '2021-04-30T08:43:02Z'
      lastTransitionTime: '2021-04-30T08:43:02Z'
    - type: Pending
      status: 'False'
      lastUpdateTime: '2021-04-30T08:43:05Z'
      lastTransitionTime: '2021-04-30T08:43:05Z'
    - type: Running
      status: 'False'
      lastUpdateTime: '2021-04-30T08:43:57Z'
      lastTransitionTime: '2021-04-30T08:43:57Z'
    - type: Failed
      status: 'True'
      lastUpdateTime: '2021-04-30T08:43:57Z'
      lastTransitionTime: '2021-04-30T08:43:57Z'
      reason: FetchImageContentFailed
      message: Failed to extract image content.
  completionTimestamp: '2021-04-30T08:43:58Z'
  phase: Failed
